CREATE TABLE `zt_oidcauth` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `appID` varchar(30) NOT NULL,
  `clientID` varchar(60) NOT NULL,
  `clientSecret` varchar(80) NOT NULL,
  `appName` varchar(100) NOT NULL,
  `homePageURL` varchar(150) NOT NULL,
  `callbackURL` varchar(150) NOT NULL,
  `integration` text NOT NULL,
  `register` varchar(20) NOT NULL,
  `defaultGroup` varchar(30) NOT NULL,
  `status` varchar(20) NOT NULL,
  `createdBy` varchar(80) NOT NULL,
  `createdDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0'
);

CREATE TABLE `zt_oidccode` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `clientID` varchar(60) NOT NULL,
  `userID` int(10) NOT NULL,
  `code` varchar(60) NOT NULL,
  `redirectUri` varchar(150) NOT NULL,
  `expiresAt` datetime NOT NULL,
  `createdBy` varchar(80) NOT NULL,
  `createdDate` datetime NOT NULL,
  `ip` varchar(150) NOT NULL
);

CREATE TABLE `zt_oidcaccesstokens` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `clientID` varchar(60) NOT NULL,
  `userID` int(10) NOT NULL,
  `accessToken` varchar(150) NOT NULL,
  `expiresAt` datetime NOT NULL,
  `createdAt` datetime NOT NULL
);

CREATE TABLE `zt_oidcrefreshtokens` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `clientID` varchar(60) NOT NULL,
  `userID` int(10) NOT NULL,
  `refreshToken` varchar(150) NOT NULL,
  `expiresAt` datetime NOT NULL,
  `createdAt` datetime NOT NULL
);

CREATE TABLE `zt_oidcmessage` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `clientID` varchar(60) NOT NULL,
  `account` char(30) NOT NULL,
  `email` varchar(100) NOT NULL,
  `subject` varchar(120) NOT NULL,
  `code` varchar(10) NOT NULL,
  `body` text NOT NULL,
  `sendAt` int(10) NOT NULL
);

